#!/usr/bin/python3
import sys,getopt,sqlite3, base64, json

def main(argv):
	idx=0; dict={}
	try:
		opts, args = getopt.getopt(sys.argv[1:],'i:',['idx='])
	except getopt.GetoptError:
		print (argv[0],' -i <idxnr> | --idx=<idxnr>')
		sys.exit(2)
	for opt, arg in opts:
		if opt == '-h':
			print (argv[0],' -i <idxnr> | --idx=<idxnr>')
			sys.exit()
		elif opt in ("-i", "--idx"):
			idx = arg
	mydb=sqlite3.connect("/home/pi/domoticz/domoticz.db")
	res = mydb.execute('SELECT id, name, options FROM devicestatus where id={0}'.format(idx))
	this=res.fetchone()
	while this is not None:
		print('processing: {0} - {1}:'.format(this[0], this[1]))
		try:
			fields=this[2].split(';')
		except 	AttributeError:
			fields=''
		dict={'id':this[0],'name':this[1],'options':{} }	
		for pair in fields:
			pp=pair.split(':')
			print('\t{0} = {1}'.format(pp[0],base64.b64decode(pp[1]).decode('utf-8')))
			dict['options'][pp[0]]=base64.b64decode(pp[1]).decode('utf-8')
		this=res.fetchone()
#	print(dict)
	mydb.close()
	jsonString = json.dumps(dict, indent=4)
	jsonFile = open("data.json", "w")
	jsonFile.write(jsonString)
	jsonFile.close()

if __name__ == "__main__":
	main(sys.argv[0:])

