#!/usr/bin/python3
import sys,getopt,sqlite3, base64, json

def main(argv):
	write=True
	idx=0
	try:
		opts, args = getopt.getopt(sys.argv[1:],'hn',['nowrite'])
	except getopt.GetoptError:
		print (argv[0], ' -n | --nowrite expected')
		sys.exit(2)
	for opt, arg in opts:
		if opt == '-h':
			print (argv[0], ' -n | --nowrite expected')
			sys.exit()
		elif opt in ("-n", "--nowrite"):
			write=False

	jsonFile = open("data.json", "r")
	jsonContent = jsonFile.read()
	dict= json.loads(jsonContent)
	jsonFile.close()
#-- now turn dict into sql statement
	optstr=''; sep='';
	if dict['options'] is not None:
		for key in dict['options']:
			val=dict['options'][key]
			print(key, val)
			optstr=optstr+sep+str(key)+':'+'{0}'.format(base64.b64encode(str(val).encode('utf-8')).decode('utf8'))
			sep=';'
	upstat='UPDATE devicestatus set options="{0}" WHERE id={1}'.format(optstr,dict['id'])
	print(upstat)
	if write:
		mydb=sqlite3.connect("/home/pi/domoticz/domoticz.db")
		cursor=mydb.cursor()
		cursor.execute(upstat)
		mydb.commit()
		mydb.close()
		print('written to db...')

if __name__ == "__main__":
	main(sys.argv[0:])

